org.springframework.aop.aspectj

## Class AspectJExpressionPointcutAdvisor

- java.lang.Object
- - org.springframework.aop.support.AbstractPointcutAdvisor
  - - org.springframework.aop.support.AbstractGenericPointcutAdvisor
    - - org.springframework.aop.aspectj.AspectJExpressionPointcutAdvisor

All Implemented Interfaces:
  Serializable, Advisor, PointcutAdvisor, Ordered

    public class AspectJExpressionPointcutAdvisor
    extends AbstractGenericPointcutAdvisor

Spring AOP Advisor that can be used for any AspectJ pointcut expression.

Since:
  2.0
Author:
  Rob Harrop
See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

### Constructor Summary

Constructors
Constructor and Description
`AspectJExpressionPointcutAdvisor()`

### Method Summary

Methods
`String` `getExpression()`
`String` `getLocation()`
`Pointcut` `getPointcut()` Get the Pointcut that drives this advisor.
`void` `setExpression(String expression)`
`void` `setLocation(String location)`
`void` `setParameterNames(String[] names)`
`void` `setParameterTypes(Class[] types)`

### Methods inherited from class org.springframework.aop.support.AbstractGenericPointcutAdvisor

`getAdvice, setAdvice, toString`

### Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor

`equals, getOrder, hashCode, isPerInstance, setOrder`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AspectJExpressionPointcutAdvisor

    public AspectJExpressionPointcutAdvisor()

### Method Detail

#### getPointcut

    public Pointcut getPointcut()

Description copied from interface: `PointcutAdvisor`
Get the Pointcut that drives this advisor.

#### setExpression

    public void setExpression(String expression)

#### setLocation

    public void setLocation(String location)

#### setParameterTypes

    public void setParameterTypes(Class[] types)

#### setParameterNames

    public void setParameterNames(String[] names)

#### getLocation

    public String getLocation()

#### getExpression

    public String getExpression()